Subject: Re: bug#64300: 28.2; Can no longer input some tokens.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jul 2023 10:12:12 +0300

Ping!  Christian, can you please answer Po Lu's questions?  I'd like
to continue investigating this issue, and in particular establish
whether this issue is present in the upcoming Emacs 29.

> From: Po Lu <[email-masked]>
> Cc: Christian Brolin <[email-masked]>,  [email-masked]
> Date: Sat, 01 Jul 2023 17:41:24 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Mon, 26 Jun 2023 09:30:31 +0200
> >> From: Christian Brolin <[email-masked]>
> >> 
> >> I'm using a Swedish keyboard and running emacs in Kubuntu 23.04. From
> >> today, I can no longer input, e.g. ~ or ^ by typing AltGr-X or Shift-X
> >> where X is the key left to the Enter key, containing those symbols as
> >> well as a horizontal colon.
> >> 
> >> When this was working, I pressed the X key in combination with a letter or
> >> most often space. Now I just get a small pop-up with a gray background
> >> containing the symbolunderlined. I don't know what to do with this
> >> pop-up. It I press space or any other key it just disappear and nothing
> >> goes into my buffer. I tried to click on it with the mouse but it
> >> doesn't react. Also, if I first click on of the AltGr-X or Shift-X and
> >> then the other the pop-up expands to show both symbols and then I can
> >> add more of them even without alternate. Don't know how this is useful.
> >> 
> >> Btw, the ~ and ^ in this report I got by entering them in the terminal
> >> can copied them from there.
> >
> > Can someone please look into this?  I don't have access to GNU/Linux
> > systems localized that way.
> 
> Thanks.  Christian, are you encountering this problem in Emacs 28.2, or
> in the Emacs 29 pretests?
> 
> And finally, what was the last version of Emacs in which you remember
> this working?
>